package com.red.circle.console.app.service.app.team;


import com.red.circle.console.app.dto.clienobject.team.TeamNoticeCO;
import com.red.circle.other.inner.model.cmd.team.TeamNoticeCmd;
import java.util.List;

/**
 * 团队通知.
 *
 * @author pengshigang on 2022/12/15
 */
public interface TeamNoticeBackService {

  /**
   * 团队通知.
   */
  List<TeamNoticeCO> listByTeamId(Long teamId);

  /**
   * 发送团队通知.
   */
  void send(TeamNoticeCmd noticeParam);

  /**
   * 删除.
   */
  void deleteById(Long id);

}
